package net.sf.l2j.gameserver.handler.itemhandlers;

import net.sf.l2j.Config;
import net.sf.l2j.gameserver.handler.IItemHandler;
import net.sf.l2j.gameserver.model.L2ItemInstance;
import net.sf.l2j.gameserver.model.actor.instance.L2PlayableInstance;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
import net.sf.l2j.gameserver.serverpackets.ActionFailed;
import net.sf.l2j.gameserver.serverpackets.SocialAction;

/**
 * @author DumanisT
 **/

public class HeroCustomItem  implements IItemHandler
{
    private static final int ITEM_IDS[] =
    { 
    	Config.HERO_CUSTOM_ITEM_ID 
    };

    public void useItem(L2PlayableInstance playable, L2ItemInstance item)
    {

        if(Config.ALLOW_HERO_CUSTOM_ITEM)
        {
            if(!(playable instanceof L2PcInstance))
                return;
            L2PcInstance activeChar = (L2PcInstance)playable;
            if(activeChar.isHero())activeChar.sendMessage("You Are Already A Hero!");
        	if (activeChar.isInOlympiadMode())activeChar.sendMessage("This Item Cannot Be Used On Olympiad Games.");
        	if (!activeChar.isNoble() && Config.NOBLE_STATUS_NEEDED_TO_USE_HERO_ITEM)
        	{
        	 activeChar.sendPacket(new ActionFailed());
        	 activeChar.sendMessage("You Must be a Noblesse In Order To Use the Hero Item!");
        	}
        	else
            {
                activeChar.broadcastPacket(new SocialAction(activeChar.getObjectId(), 16));
                activeChar.setHero(true);
                activeChar.sendMessage("You Are Now a Hero,You Are Granted With Hero Status , Skills ,Aura. This Effect Will Stop When You Restart.");
                activeChar.broadcastUserInfo();
                playable.destroyItem("Consume", item.getObjectId(), 1, null, false);
                activeChar.getInventory().addItem("Wings", 6842, 1, activeChar, null); 
            }
        }
    }

    public int[] getItemIds()
    {
        return ITEM_IDS;
    }
}