/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * http://www.gnu.org/copyleft/gpl.html
 */
package net.sf.l2j.gameserver.handler.itemhandlers;

import net.sf.l2j.Config;
import net.sf.l2j.gameserver.handler.IItemHandler;
import net.sf.l2j.gameserver.model.L2ItemInstance;
import net.sf.l2j.gameserver.model.actor.instance.L2PlayableInstance;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
import net.sf.l2j.gameserver.serverpackets.ActionFailed;
import net.sf.l2j.gameserver.serverpackets.MagicSkillUser;

/**
 * @author DumanisT
 **/

public class NobleCustomItem implements IItemHandler
{
    private static final int ITEM_IDS[] = 
    { 
    	Config.NOBLE_CUSTOM_ITEM_ID 
    };

    public void useItem(L2PlayableInstance playable, L2ItemInstance item)
    {
        if(Config.ALLOW_NOBLE_CUSTOM_ITEM)
        {
            if(!(playable instanceof L2PcInstance))
                return;
            L2PcInstance activeChar = (L2PcInstance)playable;
            if (activeChar.isNoble())
            {
                activeChar.sendMessage("You Are Already A Noblesse!");
            } 
            
            if (!activeChar.isSubClassActive() && Config.ACTIVE_SUB_NEEDED_TO_USE_NOBLE_ITEM)
            {
            	activeChar.sendPacket(new ActionFailed());
            	activeChar.sendMessage("You Must Be With Your SubClass");
            }
            
        	if (activeChar.isInOlympiadMode())activeChar.sendMessage("This Item Cannot Be Used On Olympiad Games.");
        	 
            else
            	if (activeChar.getLevel() <= Config.NOBLE_CUSTOM_LEVEL)
            	{
            		activeChar.sendMessage("You Don't Meet The Creteria. Your Level is Low.");
            	}
            		else
            {
            	MagicSkillUser MSU = new MagicSkillUser(playable, activeChar, 2025, 1, 1, 0);
                activeChar.sendPacket(MSU);
                activeChar.broadcastPacket(MSU);
                activeChar.setNoble(true);
                activeChar.sendMessage("You Are Now a Noble,You Are Granted With Noblesse Status , And Noblesse Skills.");
                activeChar.broadcastUserInfo();
                playable.destroyItem("Consume", item.getObjectId(), 1, null, false);
                activeChar.getInventory().addItem("Tiara", 7694, 1, activeChar, null); 
            }
        }
    }


    public int[] getItemIds()
    {
        return ITEM_IDS;
    }
}