/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.l2j.gameserver.handler.voicedcommandhandlers;

import net.sf.l2j.gameserver.handler.IVoicedCommandHandler;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
import net.sf.l2j.gameserver.serverpackets.ActionFailed;
import net.sf.l2j.Config;

/** 
 * @Author Stefoulis15
 * 
 */

public class NullKarma implements IVoicedCommandHandler
{
	private static final String[]	VOICED_COMMANDS	= 
	{
	"nokarma"	
	};

	public boolean useVoicedCommand(String command, L2PcInstance activeChar,
			String target) 
	{
		if (activeChar.getKarma() == 0)
		{
			activeChar.sendMessage("You Dont Have Any Karma Points To Burn");
			activeChar.sendPacket(new ActionFailed());
			return false;
		}
		if (activeChar.isDead() || activeChar.isFakeDeath() || activeChar.isAlikeDead() || activeChar.isFestivalParticipant() || activeChar.isInJail() || activeChar.atEvent || activeChar.isInOlympiadMode() || activeChar.inObserverMode() || activeChar.isFlying() || activeChar.isInDuel())
		{
			activeChar.sendMessage("You Cannot Use This Command Right Now");
			activeChar.sendPacket(new ActionFailed());
			return false;
		}	
			
		if (command.startsWith("nokarma"))			
			{
			activeChar.setKarma(0);
			activeChar.sendMessage("Your Karma Has Been Nullified");
			}
		return true;
	}

	public String[] getVoicedCommandList()
	{
		return VOICED_COMMANDS;
	}
}